local fn = _gn(0xC3287EE3050FB74C)
--- GET_WEAPONTYPE_GROUP
-- @param weaponHash The hash of the Weapon.
-- @return *   **Melee**: 2685387236
-- 		*   **Handgun**: 416676503
-- 		*   **Submachine Gun**: -95776620
-- 		*   **Shotgun**: 860033945
-- 		*   **Assault Rifle**: 970310034
-- 		*   **Light Machine Gun**: 1159398588
-- 		*   **Sniper**: 3082541095
-- 		*   **Heavy Weapon**: 2725924767
-- 		*   **Throwables**: 1548507267
-- 		*   **Misc**: 4257178988
function Global.GetWeapontypeGroup(weaponHash)
	return _in2(fn, _ch(weaponHash), _ri)
end
